LinuxCNC 2.92 fails to run after Stepconf

More
08 Feb 2024 18:22 - 08 Feb 2024 19:16 #292867 by rbarry1068
 

File Attachment:

File Name: linuxcnc.report.txt
File Size:5 KB
hello,  after a major move and new workshop build I am finally trying to get my homebuilt Solsylva CNC machine up and running. I installed a new hard drive, installed linuxCNC 2.9.2 from the iso that i downloaded, then ran stepconf, using the same info that i used for my previous system under linuxCNC 2.6.  when I start linuxCNC 2.9.2 with this new configuration I get the attached error report.  any help is appreciated. 


additional info: 
robert@robsworkshop2:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  linux-headers-6.1.0-16-amd64 linux-headers-6.1.0-16-common
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-image-6.1.0-17-rt-amd64 (6.1.69-1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-17-rt-amd64.
dkms: autoinstall for kernel: 6.1.0-17-rt-amd64.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-6.1.0-17-rt-amd64
W: Possible missing firmware /lib/firmware/amdgpu/ip_discovery.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/vega10_cap.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/sienna_cichlid_cap.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_cap.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/psp_13_0_11_ta.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/psp_13_0_11_toc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/psp_13_0_10_ta.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/psp_13_0_10_sos.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/aldebaran_cap.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_imu.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_me.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_pfp.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_me.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_pfp.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_0_toc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/sdma_6_0_3.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/sienna_cichlid_mes1.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/sienna_cichlid_mes.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi10_mes.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_mes1.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_mes_2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_4_mes.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_mes1.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_mes_2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_3_mes.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_2_mes_2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_1_mes_2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/gc_11_0_0_mes_2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/smu_13_0_10.bin for module amdgpu
raspi-firmware: missing /boot/firmware, did you forget to mount it?
run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-6.1.0-17-rt-amd64 (--configure):
 installed linux-image-6.1.0-17-rt-amd64 package post-installation script subprocess returned error exit status 1
Setting up linux-image-5.4.258-rtai-amd64 (5.4.258-rtai-amd64-2) ...
dkms: autoinstall for kernel 5.4.258-rtai-amd64 was skipped since the kernel headers for this kernel do not seem to be installed.
update-initramfs: Generating /boot/initrd.img-5.4.258-rtai-amd64
W: zstd compression (CONFIG_RD_ZSTD) not supported by kernel, using gzip
W: Possible missing firmware /lib/firmware/amdgpu/navi10_mes.bin for module amdgpu
raspi-firmware: missing /boot/firmware, did you forget to mount it?
run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
raspi-firmware: missing /boot/firmware, did you forget to mount it?
run-parts: /etc/kernel/postinst.d/z50-raspi-firmware exited with return code 1
Generating grub configuration file ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-6.1.0-17-rt-amd64
Found initrd image: /boot/initrd.img-6.1.0-17-rt-amd64
Found linux image: /boot/vmlinuz-6.1.0-16-rt-amd64
Found initrd image: /boot/initrd.img-6.1.0-16-rt-amd64
Found linux image: /boot/vmlinuz-5.4.258-rtai-amd64
Found initrd image: /boot/initrd.img-5.4.258-rtai-amd64
Warning: os-prober will not be executed to detect other bootable partitions.
Systems on them will not be added to the GRUB boot configuration.
Check GRUB_DISABLE_OS_PROBER documentation entry.
done
dpkg: error processing package linux-image-5.4.258-rtai-amd64 (--configure):
 installed linux-image-5.4.258-rtai-amd64 package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-rt-amd64:
 linux-image-rt-amd64 depends on linux-image-6.1.0-17-rt-amd64 (= 6.1.69-1); however:
  Package linux-image-6.1.0-17-rt-amd64 is not configured yet.

dpkg: error processing package linux-image-rt-amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of rtai-modules-5.4.258:
 rtai-modules-5.4.258 depends on linux-image-5.4.258-rtai-amd64; however:
  Package linux-image-5.4.258-rtai-amd64 is not configured yet.

dpkg: error processing package rtai-modules-5.4.258 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-6.1.0-17-rt-amd64
 linux-image-5.4.258-rtai-amd64
 linux-image-rt-amd64
 rtai-modules-5.4.258
E: Sub-process /usr/bin/dpkg returned an error code (1)
robert@robsworkshop2:~$
 
Attachments:
Last edit: 08 Feb 2024 19:16 by rbarry1068.

Please Log in or Create an account to join the conversation.

More
09 Feb 2024 09:45 #292920 by rodw
2.6 to 2.9.2 would be bad enough without throwing in rtai. There were some big changes with 2.8. It is meant to upgrade your config when it first opens.

Start by fixing the debian bug with:
sudo apt update 
sudo dpkg -P raspi-firmware
sudo apt dist-upgrade

Get preempt_rt working before trying rtai.

Please Log in or Create an account to join the conversation.

Time to create page: 0.095 seconds
Powered by Kunena Forum